# Class SinglePropertyMap<T>

java.lang.Object
com.thaiopensource.util.SinglePropertyMap<T>

All Implemented Interfaces:
  `PropertyMap`

public class SinglePropertyMap<T> extends Object implements PropertyMap

- ## Field Summary

  ### Fields inherited from interface com.thaiopensource.util.PropertyMap

  `EMPTY`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `contains(PropertyId<?> pid)`
  `<V> V`
  `get(PropertyId<V> pid)`
  `PropertyId<?>`
  `getKey(int i)`
  `static <T> SinglePropertyMap`
  `newInstance(PropertyId<T> pid, T value)`
  `int`
  `size()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### get

    public <V> V get(PropertyId<V> pid)
    Specified by:
      `get` in interface `PropertyMap`

  - ### contains

    public boolean contains(PropertyId<?> pid)
    Specified by:
      `contains` in interface `PropertyMap`

  - ### size

    public int size()
    Specified by:
      `size` in interface `PropertyMap`

  - ### getKey

    public PropertyId<?> getKey(int i)
    Specified by:
      `getKey` in interface `PropertyMap`

  - ### newInstance

    public static <T> SinglePropertyMap newInstance(PropertyId<T> pid, T value)